Bug 193600 - xmms-arts: missing dependency on xmms(-libs)
xmms-arts: missing dependency on xmms(-libs)
Product: Fedora
Classification: Fedora
Component: xmms-arts (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-05-30 17:18 EDT by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.7.1-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-31 14:35:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2006-05-30 17:18:19 EDT
xmms-arts does not have a dependency on xmms nor xmms-libs.  I'm not aware of a
case where an external app that can use xmms plugins would benefit from xmms
arts output, so I'd suggest adding a "Requires: xmms".

Also, perhaps the *.la in the package could be dropped?

Also #2: xmms-libs already owns %{_libdir}/xmms/Output, no need to own it in
this package.
Comment 1 Matthias Saou 2006-05-31 14:35:45 EDT
I've added a Requires: xmms-libs, since I suppose some program could use the
library as a backend and want to output to aRts...
I've also removed the .la file and removed ownership of the Output directory.

Thanks for the report!

Note You need to log in before you can comment on or make changes to this bug.